<div class="context-menu-containter" @click.prevent.stop v-if="loaded">

    <!-- Collection Context Menu -->
    <div id="collection-context" class="context-menu" v-if="context.isOpen && context.type == 'item'" :style="'--posx:' + context.position.x + 'px; --posy:' + context.position.y + 'px;'">
        <!-- Top Menu -->
        <div class="header">
            <div class="corner-triangle"></div>
            <a class="button" :href="context.item.links.market">Market</a>
            <a class="button" :href="context.item.links.wiki">Wiki</a>
        </div>

        <!-- Acquisiton -->
        <h4>Acquisiton</h4>
        <table>
            <tr v-for="(part, name) in context.item.parts">
                <td>{{ name }}</td>
                <td v-for="i in part">{{ i }}</td>
            </tr>
        </table>

        <!-- Information -->
        <h4>Information</h4>
        <table>
            <tr>
                <td>Type:</td> <td>{{ context.item.type }}</td>
            </tr>
            <tr>
                <td>Mastery:</td> <td txtdec="mastery">{{ context.item.masteryLimit }}</td>
            </tr>
            <tr>
                <td>Availability:</td> <td txtdec="1">Available</td>
            </tr>
            <tr v-if="context.item.type == 'frame' || context.item.type == 'frame-prime'">
                <td>Helminth:</td> <td :txtdec="context.progression.helminth">{{ context.progression.helminth | helminthSubsumeFilter }}</td>
            </tr>
        </table>

        <!-- Warnings -->
        <h4>Warnings</h4>
        <table>
            <tr>
                <td v-if="context.item.type == 'frame' && context.progression.helminth == 0" txtdec="warn">Subsume this warframe instead of selling it.</td>
            </tr>
            <tr>
                <td v-if="context.item.type == 'frame' && context.item.variants.length == 0" txtdec="warn">This warframe has no prime variant.</td>
            </tr>
        </table>
    </div>
    <!-- /Collection Context Menu -->


    <!-- Helminth Context Menu -->
    <div id="collection-context" class="context-menu helminth-context" v-if="context.isOpen && context.type == 'helminth'" :style="'--posx:' + context.position.x + 'px; --posy:' + context.position.y + 'px;'">
        <!-- Top Menu -->
        <div class="header">
            <div class="corner-triangle"></div>
            <a class="button" :href="context.item.links.wiki">Wiki</a>
        </div>

        <!-- Title -->
        <div class="title">
            <h2>{{ context.item.name }}</h2>
            <h3 v-if="progression.helminth[context.iid]" txtdec="1"><span class="font-as">&#xf00c;</span> Subsumed </h3>
            <h3 v-if="!progression.helminth[context.iid]" txtdec="0"><span class="font-as">&#xf00d;</span> Unsubsumed </h3>
        </div>

        <!-- Ability split -->
        <div class="split">
            <div class="left">
                <h4>Ability</h4>

                <h3><span>{{ context.item.helminth.key }}</span> {{ context.item.helminth.name }}</h3>
                <p>{{ context.item.helminth.description }}</p>

                <div class="buttons">
                    <a class="button" :href="context.item.helminth.wiki">Wiki</a>
                </div>
            </div>
            <div class="right" v-if="context.item.helminth.augment != null">
                <h4>Augment</h4>

                <h3 :style="{ color: data.static.mods.rarity.rare.color }"><img src="./images/icons/agument.png" width="25" height="25"> {{ context.item.helminth.augment.name }}</h3>
                <p>{{ context.item.helminth.augment.description }}</p>

                <h4>Acquisiton</h4>
                <div class="syndicate" v-for="(syn) in context.item.helminth.augment.syndicates">
                    <div class="banner"><img :src="'./images/syndicate/' + data.static.syndicates[syn].banner"></div>
                    <div class="name" :style="{color: data.static.syndicates[syn].colors.primary}">{{ data.static.syndicates[syn].name }}</div>
                    <div class="cost">
                        <svg width="20.000000pt" height="25.000000pt" viewBox="0 0 350.000000 350.000000" :style="{fill: data.static.syndicates[syn].colors.secondary}">
                            <g transform="translate(0.000000,350.000000) scale(0.100000,-0.100000)" stroke="none">
                            <path d="M1000 3309 l0 -36 128 4 c148 5 152 6 152 33 0 27 -4 28 -152 32
                            l-128 4 0 -37z"/>
                            <path d="M1304 3336 c-3 -8 -4 -25 -2 -38 3 -22 6 -23 113 -23 l110 0 0 35 0
                            35 -108 3 c-87 2 -108 0 -113 -12z"/>
                            <path d="M1974 3336 c-3 -8 -4 -25 -2 -38 3 -22 6 -23 113 -23 l110 0 0 35 0
                            35 -108 3 c-87 2 -108 0 -113 -12z"/>
                            <path d="M2338 3343 l-118 -4 0 -29 0 -30 115 -2 c63 -1 125 -2 138 -2 19 -1
                            22 4 22 34 0 40 13 38 -157 33z"/>
                            <path d="M1550 3310 l0 -30 198 2 197 3 0 25 0 25 -197 3 -198 2 0 -30z"/>
                            <path d="M1120 1680 c0 -1454 1 -1531 18 -1527 9 3 42 11 72 17 143 30 285 92
                            418 182 99 67 237 133 357 169 134 42 236 95 317 166 l67 58 1 1234 0 1233
                            -32 -6 c-225 -41 -961 -41 -1185 0 l-33 6 0 -1532z m388 1421 l4 -34 -121 6
                            c-67 4 -146 10 -176 13 l-55 7 0 36 0 36 172 -15 173 -15 3 -34z m830 23 c-3
                            -26 -8 -30 -48 -36 -25 -3 -102 -10 -172 -14 l-128 -7 0 35 0 35 162 12 c90 7
                            165 15 167 17 11 10 22 -16 19 -42z m-428 -26 l0 -38 -165 0 -165 0 0 33 c0
                            19 2 36 4 38 2 2 77 4 165 4 l161 0 0 -37z m-77 -637 c25 -24 33 -42 37 -82
                            l5 -51 100 -58 100 -58 27 19 c33 24 100 25 139 2 33 -20 59 -68 59 -110 0
                            -39 -35 -93 -70 -106 l-30 -11 0 -123 c0 -109 2 -122 18 -127 10 -4 31 -19 46
                            -35 57 -60 39 -158 -35 -197 -39 -20 -101 -14 -130 12 -19 17 -21 17 -57 -4
                            -20 -12 -67 -39 -104 -60 l-68 -37 0 -48 c0 -42 -5 -54 -33 -82 -84 -84 -217
                            -29 -217 90 l0 40 -100 58 -99 57 -33 -20 c-58 -35 -136 -20 -170 32 -43 66
                            -26 140 41 183 l41 25 0 115 0 114 -34 16 c-84 40 -97 149 -25 210 39 32 114
                            35 151 6 l24 -19 100 57 c99 57 99 57 104 101 7 58 24 86 63 111 47 29 110 21
                            150 -20z"/>
                            <path d="M1546 2230 l-100 -58 -1 -44 -2 -43 130 -75 c72 -41 134 -76 139 -78
                            4 -2 8 68 8 155 l0 158 -33 20 c-17 11 -34 21 -37 22 -3 1 -50 -24 -104 -57z"/>
                            <path d="M1808 2266 l-38 -21 0 -157 c0 -87 2 -158 5 -158 3 0 66 35 141 77
                            l135 78 -3 44 c-3 49 1 45 -148 127 l-55 31 -37 -21z"/>
                            <path d="M1378 2018 l-38 -20 0 -114 0 -114 39 -24 39 -25 136 77 c74 42 135
                            80 136 83 0 5 -263 160 -271 158 -2 0 -21 -9 -41 -21z"/>
                            <path d="M1933 1962 c-73 -42 -128 -81 -124 -85 5 -5 66 -42 136 -81 l127 -73
                            39 21 39 21 0 117 0 116 -36 21 c-19 12 -38 21 -42 21 -4 -1 -66 -36 -139 -78z"/>
                            <path d="M1581 1759 l-135 -78 -1 -44 -2 -44 100 -58 100 -57 38 19 39 18 0
                            163 c0 89 -1 162 -2 161 -2 0 -63 -36 -137 -80z"/>
                            <path d="M1770 1679 l1 -164 39 -18 40 -18 100 56 100 57 0 43 0 43 -117 68
                            c-65 37 -128 74 -140 82 l-23 14 0 -163z"/>
                            </g>
                        </svg>
                        <span :style="{color: data.static.syndicates[syn].colors.secondary}">25,000</span>
                    </div>
                </div>

                <div class="buttons">
                    <a class="button" :href="context.item.helminth.augment.wiki">Wiki</a>
                    <a class="button" :href="context.item.helminth.augment.market">Market</a>
                </div>
            </div>
            <div class="right" v-else>
                <h4>Augment</h4>

                <h3><img src="./images/icons/agument.png" width="25" height="25"> No Augment</h3>
            </div>
        </div>

        <!-- Warnings -->
        <h4>Warnings</h4>
        <table>
            <tr> <td v-if="context.item.variants.length == 0" txtdec="warn">This warframe has no prime variant.</td> </tr>
            <tr> <td v-if="context.item.helminth.augment != null && !context.item.helminth.augment.usable" txtdec="warn">The agument of the subsumed ability currently has no effect.</td> </tr>
        </table>

    </div>
    <!-- /Helminth Context Menu -->

</div>